<template>
  <div id="bg">
    <div class="dashboard">
      <!-- OVERVIEW-->
      <p style="position:relative;">
        <a style="position:absolute; top:-70px;" id="Dimensions"></a>
      </p>
      <div class="container" id="overview-intro">
        <div class="row">
          <div class="col-sm">
            <div class="toc">
              <h1 class="m-0"><a href="#Dimensions" class="toc-active"> {{ $t("message.dashboard.dimensions") }}</a></h1>
              <h6><a href="#Overview" class="toc-inactive" v-smooth-scroll="{ duration: 700, offset: -50}">{{ $t("message.dashboard.overview.headline") }}</a></h6>
            </div>
          </div>
          <div class="col-sm-auto">
            <div class="intro-section-text">
              <p>
                <span v-html="$t('message.dashboard.intro.desc')"></span>
              </p>
            </div>
          </div>
        </div>
      </div>
      <!-- DIMENSIONS -->
      <dimensions class="p-0 p-md-5" dimensions-type="dimensions-details"></dimensions>
       <!-- CATALOGUES -->
      <p style="position:relative;">
        <a style="position:absolute; top:-10px;" id="Overview"></a>
      </p>
      <div class="container dimensions-intro">
        <div class="row">
          <div class="col-sm">
            <div class="toc">
              <h6 class="m-0"><a href="#Dimensions" class="toc-inactive" v-smooth-scroll="{ duration: 700, offset: -50}">{{ $t("message.dashboard.dimensions") }}</a></h6>
              <h1><a href="#Overview" class="toc-active">{{ $t("message.dashboard.overview.headline") }}</a></h1>
            </div>
          </div>
        </div>
      </div>
      <div class="container" id="overview-table" >
        <div class="row">
         <div class="col">
           <dashboard-catalogue-table></dashboard-catalogue-table>
         </div>
        </div>
      </div>
    </div>
  </div>
</template>

<script>
import DashboardCatalogueTable from './DashboardCatalogueTable.vue'
import Dimensions from './dimensions-cards/Dimensions.vue'

export default {
  name: 'Dashboard',
  components: {
    DashboardCatalogueTable,
    Dimensions
  },
  metaInfo () {
    return {
      title: `${this.$t('message.navigation.dashboard')} - ${this.$t('message.common.site_title')}`
    }
  },
  data () {
    return {
      dashboard: true
    }
  },
  mounted () {},
  created () {},
  methods: {
  }
}
</script>

<style scoped>

#bg {
  background-color: #fff;
}
</style>
